<?php
// специальный отчет для добавления сотрудников в группы
class report_capture_files extends c_report
{
 var $title='Файловый архив видео с терминалов' ;
 var $view_by_space_filter=1 ;

 function setting($options=array())
 {   if (!is_array($options['disabled_filter'])) $options['disabled_filter']=array() ;
     $recs_orgs=execSQL('select * from obj_site_personals where parent=1 and clss=207 order by obj_name') ;
     ?><div id="panel_filter">
             <form id="sky-form" class="sky-form"><input type="hidden" name="filter_dir" value="<?echo _CUR_REPORT_DIR?>">
                 <?if ($this->filter['ids']){?><input type=hidden name=filter[ids] value="(<?echo implode(';',array_keys($this->filter['ids']))?>)"><?}?>
                 <?if ($this->filter['client_ids']){?><input type=hidden name=filter[client_ids] value="(<?echo implode(';',array_keys($this->filter['client_ids']))?>)"><?}?>
                 <?if ($this->filter['client_id']){?><input type=hidden name=filter[client_id] value="<?echo $this->filter['client_id']?>"><?}?>
                  <fieldset>
                      <div class="row" id="person_info">
                           <section class="col col-4">
                               <label class="label">ФИО</label>
                               <label class="input">
                                    <input type="text" name="filter[name]" placeholder="" SetAutoComplete cmd="autocomplette_personal_name" value="<?echo $this->filter['name']?>">
                               </label>
                           </section>
                          <section class="col col-4">
                              <label class="label">Подразделениe:</label>
                              <label class="select">
                                   <select name="filter[dep_ids][]" multiple="multiple">
                                       <?if (_sizeof($recs_orgs)) foreach($recs_orgs as $rec_org)
                                       {?><option value="<?echo $rec_org['pkey']?>" <?if (isset($this->filter['dep_ids'][$rec_org['pkey']])) echo 'selected'?>><?echo $rec_org['obj_name']?></option><?}
                                       ?>
                                   </select>
                              </label>
                          </section>
                          <section class="col col-2">
                              <label class="label">Пропуск</label>
                              <label class="input">
                                  <input type="text" name="filter[propusk]" placeholder="" LANG="LAT" value="<?echo $this->filter['propusk']?>">
                              </label>
                          </section>
                  </fieldset>
                  <?$this->panel_buttons();?>
              </form>
       </div><br>
     <?
  }


  function create_usl_select_obj($_params=array(),&$options=array())
  {  //damp_array($this->filter,1,-1) ;
     $usl=array() ;
     $usl[]='clss=211' ;
     if ($this->filter['name'])            $usl[]='obj_name like "'.$this->filter['name'].'%"' ;
     if ($this->filter['dep_ids'])         $usl[]='parent2 in ('.implode(',',array_keys($this->filter['dep_ids'])).')' ;
     if ($this->filter['ids'])             $usl[]='pkey in ('.implode(',',array_keys($this->filter['ids'])).')' ;
     if ($this->filter['propusk'])         $usl[]='propusk="'.$this->filter['propusk'].'"' ;
     if ($this->filter['working_id'])      $usl[]='working="'.$this->filter['working_id'].'"' ;
     if (_sizeof($this->filter['working_ids'])) $usl[]='working in ('.implode(',',array_keys($this->filter['working_ids'])).')' ;
     if ($this->filter['working'])         $usl[]='working="'.$this->filter['working'].'"' ;
     if ($this->filter['personal_ids'])    $usl[]='pkey in ('.$this->filter['personal_ids'].')' ;
     if ($this->filter['active'])          $usl[]='enabled=1' ;
     $usl_res=implode(' and ',$usl) ;
     //damp_array($usl,1,-1) ;
     return($usl_res) ;
  }

 function panel_info_filter()
 { $_str=array() ; $info=array() ; $title='' ;
   if ($this->filter['name'])                            $info['ФИО']='"'.$this->filter['name'].'"' ;
   if ($this->filter['org_id'])                          $info['организация']=PERSONAL()->get_name_by_id($this->filter['org_id']) ;
   //if ($this->filter['otdel_id'])                        $info['отдел']=PERSONAL()->get_name_by_id($this->filter['otdel_id']) ;
   if ($this->filter['otdel_id'])
   {   $arr=explode(',',$this->filter['otdel_id']) ;
       $arr2=array() ;
       foreach($arr as $otdel_id) $arr2[]=PERSONAL()->get_name_by_id($otdel_id) ;
       $info['отдел']=implode(', ',$arr2);
   }
   if ($this->filter['dep_id'])                          $info['Подразделение']=PERSONAL()->get_full_dep_name_by_dep_id($this->filter['dep_id'])  ;
   if ($this->filter['dep_ids'])                         $info['Подразделениz']=PERSONAL()->get_org_names_by_ids(array_keys($this->filter['dep_ids']))  ;
   if ($this->filter['working'])                         $info['должность']=_IL('IL_works')->recs[$this->filter['working']]['obj_name'];
   if ($this->filter['working_id'])                      $info['должность']=_IL('IL_works')->recs[$this->filter['working_id']]['obj_name'];
   if (_sizeof($this->filter['working_ids']))
   {   $arr=array() ;
       foreach($this->filter['working_ids'] as $work_id=>$flag)  $arr[]=_IL('IL_works')->recs[$work_id]['obj_name'] ;
       $info['должность']=implode(',',$arr) ;
   }
   if ($this->filter['propusk'])                         $info['номер пропуска']='"'.$this->filter['propusk'].'"' ;

   if (_sizeof($info)) foreach($info as $title=>$value) $_str[]=$title.': <strong>'.$value.'</strong>' ;
   if (_sizeof($_str)) $title='<p class=center>'.implode(' ',$_str).'</p>' ;
   return $title ;
 }


 var  $list_files ;
  function get_cnt_items($usl,$options=array())
  { $this->list_files=get_files_list('/capture/',1) ;
    rsort($this->list_files) ;
    //damp_array($this->list_files) ;
    return(_sizeof($this->list_files)) ;
  }

  function get_items($usl,$options=array())
  { $recs=array() ;
    if (_sizeof($this->list_files)>$options['list_size'])
    { $arr_files=array_slice($this->list_files,$options['first_obj']-1,$options['list_size']) ;
        
    } else $arr_files=$this->list_files ;
    //damp_array($arr_files) ;
    $to=(int)reset($arr_files) ;
    $from=(int)$arr_files[_sizeof($arr_files)-1] ;
    if ($from>0 and $to>0 and $to>=$from)
    { $recs_mo=execSQL('select *  from  view_mo_session where pkey>='.$from.' and pkey<='.$to.' order by pkey') ;
      foreach($arr_files as $fname)
        {  $mo_id=(int)$fname ;
           if (isset($recs_mo[$mo_id]))
           {  ESMO()->prepare_public_info_to_mo($recs_mo[$mo_id]) ;
              $recs[$mo_id]=$recs_mo[$mo_id] ;
              $recs[$mo_id]['fname']=$fname ;
              $recs[$mo_id]['fsize']=filesize(_DIR_TO_ROOT.'/capture/'.$fname) ;
           }

        }
    }
    //$order=($this->filter['order'])? ' order by '.$this->filter['order']:' order by obj_name' ;
    return($recs) ;
  }


// шаблон - вывод ссылками без разделитея
  function print_template_HTML($list_recs,$options=array())
  { ?><table class="basic fz_small full auto">
        <tr><th>ID mo</th><th>Дата/время МО</th><th>ФИО сотрудника</th><th>Имя файла</th><th>Размер файла</th></tr><?
        if (_sizeof($list_recs)) foreach($list_recs as $rec)
        { ?><tr class=item>
                <td class=""><a href="<?echo $rec['__href_window']?>" class="new_window" target="_blank" title="win_second"><?echo $rec['pkey']?></a>
                <td class="id"><?echo date('d.m.Y H:i',$rec['c_data'])?></td>
                <td class="left"><?echo $rec['personal_name']?></td>
                <td class="left"><?echo $rec['fname']?></td>
                <td class="left"><?echo show_size($rec['fsize'])?></td>
            </tr><?
        }
      ?></table><?
  }

}

?>
